# class RSS::NotAvailableValueError

Attributes are in key-value form, and if there's no value provided for an attribute, a `NotAvailableValueError` will be raised.

### Attributes

attribute[R]
tag[R]
value[R]

### Public Class Methods

new(tag, value, attribute=nil) click to toggle source
Calls superclass method `Exception::new`

    # File lib/rss/rss.rb, line 154
    def initialize(tag, value, attribute=nil)
      @tag, @value, @attribute = tag, value, attribute
      message = "value <#{value}> of "
      message << "attribute <#{attribute}> of " if attribute
      message << "tag <#{tag}> is not available."
      super(message)
    end